Yii Framework Forum: Simpler Installation ? - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Simpler Installation ? Is it going to be easier and faster as it used to be?

#1 User is offline   Mariaczi+PL 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 30
  • Joined: 05-March 11

Posted 12 November 2013 - 06:34 PM

Hello,

I am developing with Yii, not 2.0 yet.
I was going to switch/try Yii 2.0 but after I saw quite complicated way to install it, I resigned.
Maybe it is not rocket science, but it used to be solution "out of box",
just download, quick configure and use.

Is it going to be simply *.zip file to just unpackage, simply config and ready to go?
0

#2 User is offline   ORey 

  • Elite Member
  • PipPipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,694
  • Joined: 20-April 09
  • Location:Moscow, Russia

Posted 12 November 2013 - 06:36 PM

One line in console, what can be simpler?..
God is real unless declared as integer
0

#3 User is offline   Mariaczi+PL 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 30
  • Joined: 05-March 11

Posted 12 November 2013 - 07:23 PM

I am working on Windows, this "one line" doesn't work :(
0

#4 User is offline   Pathfinder 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 26
  • Joined: 19-January 13
  • Location:Ukraine

Posted 13 November 2013 - 03:08 AM

View PostMariaczi+PL, on 12 November 2013 - 07:23 PM, said:

I am working on Windows, this "one line" doesn't work :(

I am working on windows either.
Everything works all right.
Just follow the steps from documentation
https://github.com/y...e/apps-basic.md

To install composer there is .exe file.
0

#5 User is offline   samdark 

  • Having fun
  • Yii
  • Group: Yii Dev Team
  • Posts: 3,614
  • Joined: 17-January 09
  • Location:Russia

Posted 13 November 2013 - 08:55 AM

There will be zip when 2.0 will be stable and released but before that moment composer only.
Yii 1.1 Application Development Cookbook

Enjoying Yii? Star us at github: 1.1 and 2.0.
2

#6 User is offline   trond 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 110
  • Joined: 26-September 12
  • Location:Oslo, Norway

Posted 13 November 2013 - 12:59 PM

I just installed 2.0 on windows and had only one small problem that was quickly fixed by googling the error message.

Btw: the first impression of 2.0 is impressive!
0

#7 User is offline   gimox 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 14
  • Joined: 17-July 12
  • Location:ITALY, cagliari

Posted 13 November 2013 - 02:14 PM

Composer is the right way for a profesional framework.
All good framework use it and is a foundamental component for a good app maintanance.
It can bevinstalled in windows. I suggest you to install it and understand the foundamentals.




0

#8 User is offline   dannythebestguy 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 39
  • Joined: 27-June 12

Posted 15 November 2013 - 01:23 PM

I installed Yii2.0 on Windows PC with WAMP as the server.

The issues I faced was

1) After installing the Composer from the Installer, The windows did not recognize composer.phar file. Also as mentioned in the guide, it was

php composer.phar (rest of the command)

Instead I use composer.bat (rest of the command)
OR
php Full/path/composer.phar (rest of the command) (php should be in your PATH)

2) Had to install Git from http://msysgit.github.io/. That was pretty straight forward.

3) Now comes the most confusing part. It is required that the PHP supports the php_openssl extension. I tried to load the extension from the front-end of the WAMP server and it did not work in-spite of the WAMP server showing that it is loaded. Also tried to modify the php.ini file from the front link. But too it did not work.

The only way is to open the source of WAMP in my case C:\wamp\bin\php\php5.4.16\php.ini and edit it in this file.

remove ; from ;extension=php_openssl.dll and it will start working.

Thnx

Dinesh
1

#9 User is offline   trond 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 110
  • Joined: 26-September 12
  • Location:Oslo, Norway

Posted 16 November 2013 - 11:36 AM

@dannythebestguy

Great post. I think that pretty much sums up what you need to do on a windows PC.
I got the problem with the php_openssl, but if I remember correctly, the error message basically tells you what you need to do.

Also, It is worth mentioning that there is a Windows installer for Composer that simplifies things a bit.
0

#10 User is offline   ORey 

  • Elite Member
  • PipPipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,694
  • Joined: 20-April 09
  • Location:Moscow, Russia

Posted 17 November 2013 - 04:13 PM

Guys, Windows is bad for webdev.
Why don't you use virtual machines or something.
God is real unless declared as integer
1

#11 User is offline   amnah 

  • Standard Member
  • PipPip
  • Yii
  • Group: Members
  • Posts: 105
  • Joined: 23-February 13

Posted 17 November 2013 - 06:25 PM

View Postdannythebestguy, on 15 November 2013 - 01:23 PM, said:


1) After installing the Composer from the Installer, The windows did not recognize composer.phar file. Also as mentioned in the guide, it was

php composer.phar (rest of the command)

Instead I use composer.bat (rest of the command)
OR
php Full/path/composer.phar (rest of the command) (php should be in your PATH)


That's a bit odd. If you installed composer via the installer, you should be able to just use "composer (rest of command)", as it adds the command to your PATH.

View PostORey, on 17 November 2013 - 04:13 PM, said:

Guys, Windows is bad for webdev.
Why don't you use virtual machines or something.


Errr, no. Windows is perfectly fine for development. This thread is more about composer installation anyway.
0

#12 User is offline   Shahcheraghean 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 478
  • Joined: 12-December 12
  • Location:Mashhad, IRAN

Posted 18 November 2013 - 12:36 AM

View Postsamdark, on 13 November 2013 - 08:55 AM, said:

There will be zip when 2.0 will be stable and released but before that moment composer only.

When the stable version will release????
It is too prolongated!!!!
www.shgn.ir
www.shgn.ir/yii-framework/
yii2.swsco.ir
In a world without any fences or walls,Who needs Gates or Windows!
0

#13 User is offline   samdark 

  • Having fun
  • Yii
  • Group: Yii Dev Team
  • Posts: 3,614
  • Joined: 17-January 09
  • Location:Russia

Posted 18 November 2013 - 02:32 AM

Windows is OK for development if configured properly.

Shahcheraghean
We don't have any date set yet. You can make release date closer by solving issues: https://github.com/y...sues?state=open
Yii 1.1 Application Development Cookbook

Enjoying Yii? Star us at github: 1.1 and 2.0.
1

#14 User is offline   Shahcheraghean 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 478
  • Joined: 12-December 12
  • Location:Mashhad, IRAN

Posted 18 November 2013 - 03:54 AM

As i saw that, It maybe release for 1,2,3,4,5,6,... years later;)
Isn't it !?B)
www.shgn.ir
www.shgn.ir/yii-framework/
yii2.swsco.ir
In a world without any fences or walls,Who needs Gates or Windows!
0

#15 User is offline   samdark 

  • Having fun
  • Yii
  • Group: Yii Dev Team
  • Posts: 3,614
  • Joined: 17-January 09
  • Location:Russia

Posted 18 November 2013 - 10:40 AM

Well, we hope it will not be N years.
Yii 1.1 Application Development Cookbook

Enjoying Yii? Star us at github: 1.1 and 2.0.
0

#16 User is offline   Shahcheraghean 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 478
  • Joined: 12-December 12
  • Location:Mashhad, IRAN

Posted 19 November 2013 - 03:50 AM

‌By God willing...
We are waiting.

www.shgn.ir
www.shgn.ir/yii-framework/
yii2.swsco.ir
In a world without any fences or walls,Who needs Gates or Windows!
0

#17 User is offline   Amjad Khan 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 14
  • Joined: 23-November 11

Posted 21 November 2013 - 02:24 PM

I am getting these errors after installing the yii2 basic app with composer on windows 7 with wamp.

Quote

Warning: require(D:\wamp\www\mybasic\web/../vendor/autoload.php): failed to open stream: No such file or directory in D:\wamp\www\mybasic\web\index.php on line 7

Quote

Fatal error: require(): Failed opening required 'D:\wamp\www\mybasic\web/../vendor/autoload.php' (include_path='.;C:\php\pear') in D:\wamp\www\mybasic\web\index.php on line 7

if anyone knows please help me
0

#18 User is offline   ORey 

  • Elite Member
  • PipPipPipPipPip
  • Yii
  • Group: Members
  • Posts: 1,694
  • Joined: 20-April 09
  • Location:Moscow, Russia

Posted 21 November 2013 - 02:50 PM

View PostAmjad Khan, on 21 November 2013 - 02:24 PM, said:

I am getting these errors after installing the yii2 basic app with composer on windows 7 with wamp.


if anyone knows please help me


Make sure there's a file D:\wamp\www\mybasic\vendor\autoload.php
God is real unless declared as integer
0

#19 User is offline   Pathfinder 

  • Junior Member
  • Pip
  • Yii
  • Group: Members
  • Posts: 26
  • Joined: 19-January 13
  • Location:Ukraine

Posted 22 November 2013 - 01:17 AM

Amjad Khan, you need to follow the next steps:
1) find where your composer has installed itself
2) In composer.bat add new line with a pause command. So you will see the result of composer work. There might be some error message.

The absence of autoload.php says that composer was not able to install the system properly.
I had the same error.
The solution is to add option --prefer-dist to your command. So it will look like this:

Quote

composer create-project --stability=dev --prefer-dist yiisoft/yii2-app-basic C:\WWW\htdocs\yiinew2

0

#20 User is offline   Amjad Khan 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 14
  • Joined: 23-November 11

Posted 22 November 2013 - 10:17 AM

View PostPathfinder, on 22 November 2013 - 01:17 AM, said:

Amjad Khan, you need to follow the next steps:
1) find where your composer has installed itself
2) In composer.bat add new line with a pause command. So you will see the result of composer work. There might be some error message.

The absence of autoload.php says that composer was not able to install the system properly.
I had the same error.
The solution is to add option --prefer-dist to your command. So it will look like this:

Thanks a lot sir, i have installed the yii2 basic application by just adding --prefer-dist, thanks very much i am really obliged.
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users